#! /bin/sh
#
# Name: opus_catalog_ga_date1_a.s
#
# Description: Runs a DB query to check that the given CDBS delivery
#              has had its general availabilty date set.
#
# Called by:   opus_catalog_ga_date1.s
#
# Requires:    env var CDBS_SERVER
#              env var CDBS_DB
#
# Usage:       opus_catalog_ga_date1_a.s instrumentPrefix deliveryNumber
#
#-----------------------------------------------------------------------------
DSQUERY=$CDBS_SERVER
isql -S$CDBS_SERVER << EOF 
use $CDBS_DB
go

if  exists (select * from $1_file 
            where general_availability_date is null and 
                  delivery_number = $2)
begin
 print '-> CDBS ERROR:'
 print '->  General availability date not set in $1 delivery'
 print '->      file name                                          delivery_number'
 select distinct '->', file_name, delivery_number 
         from $1_file f
         where general_availability_date is null and 
               delivery_number = $2
 print '->'
end
go
